parameters:
  drupal.driver.drupal.class: Drupal\Driver\DrupalDriver

  # Random generator.
  drupal.random.class: Drupal\Component\Utility\Random

  # Core controller.
  drupal.driver.core.class: Drupal\Driver\Core\Core

services:
  drupal.driver.random:
    class: "%drupal.random.class%"
  drupal.driver.drupal:
    class: "%drupal.driver.drupal.class%"
    arguments:
      - "%drupal.driver.drupal.drupal_root%"
      - "%mink.base_url%"
    tags:
      - { name: drupal.driver, alias: drupal }
  drupal.driver.core:
    class: "%drupal.driver.core.class%"
    tags:
      - { name: drupal.core }
    arguments:
      - "%drupal.driver.drupal.drupal_root%"
      - "%mink.base_url%"
      - "@drupal.driver.random"
